/* TREE INTERFACE  - file tree.h*/
#include "element.h"

typedef struct nodo {
    element value;    
    struct nodo *left, *right;
} NODO;
typedef NODO * tree;

/* operatori esportabili */
boolean empty(tree t);
tree  emptytree(void);
element root(tree t);
tree  left(tree t);
tree  right(tree t);
tree  cons_tree(element e, tree l, tree r);
tree ord_ins(element e, tree t);
void inorder(tree t);
int height (tree t);
int nodi (tree t);
int member_ord(element e, tree t);
